LINUX kernel Vulnerability in ubuntu 11.10

I recently loaded Ubuntu 11.10(oneiric ocelot) operating system in my dell Inspiron N4030 laptop,alongside windows 7 .After a few handful of days ,i came to know that my Linux OS is having kernel vulnerability problem ,which was affecting my Linux OS.I Goggled  for it and  came out with a solution…and now I am here to write about it.

Vasilily Kulikov discovered CVE-2011-2094 ,a Linux kernel vulnerability that allows a local attacker to read information on the system leading to loss of privacy ,because taskstats didn’t enforce access restrictions.

The security flaw can be easily fixed if you update your Ubuntu 11.10(oneiric ocelot ) system to Linux image -3.0.0-13 (3.0.0-13.22)  package.Run the Software Update to do that   and don’t forget to reboot your  computer after you upgrade.